local function clampInv(inv, name)
  local itemStack = inv.find_item_stack(name)
  
  if not itemStack or itemStack.count < 10 then
    inv.insert({name = name, count = 10})
  end
end

-- Give player free stuff every tick and render labels
script.on_event(defines.events.on_tick,
function(event)

  -- Don't crash during new game cutscene
  if game.players[1] == nil or game.players[1].get_main_inventory() == nil then
    return
  end

  local freeStuff = {"radar",
                     "laser-turret",
                     "tenX",
                     "drawAsGlow",
                     "drawAsLight",
                     "drawAsShadow",
                     "Mod_DrawAsNormal",
                     "Mod_DrawAsGlow",
                     "Mod_DrawAsShadow",
                     "Mod_DrawAsLight", 
                     }
                     
  for _, i in pairs(freeStuff) do
    clampInv(game.players[1].get_main_inventory(), i)
  end
  
  local namesToDraw = game.players[1].surface.find_entities_filtered{name = freeStuff}
    
  for _, e in pairs(namesToDraw) do
    rendering.draw_text{text = e.name, 
                        surface = e.surface,
                        target = e,
                        target_offset = {-1, -2.5}, 
                        color = {0.8, 0.8, 0.6, 0.9}, 
                        time_to_live = 10}
  end
end)


-- Auto-set radars to enemy force to make displaying attack energy glow easier
script.on_event(defines.events.on_built_entity,
function(event)
  if event.created_entity.name == "radar" then
    event.created_entity.force = "enemy"
  end
end)
