local export = {}

local modelW = 60
local modelH = 71

-- args:
-- filename, (optional) drawAsGlow
local function make_anim(inputs)
return
{
  filename = "__EnergyGlowFlicker__/" .. inputs.filename .. ".png",
  priority = "high",
  line_length = 8,
  width = modelW,
  height = modelH,
  frame_count = 1,
  direction_count = 64,
  draw_as_glow = (inputs.drawAsGlow or false),
  shift = util.by_pixel(0, -20),
  hr_version =
  {
    filename = "__EnergyGlowFlicker__/" .. inputs.filename .. "-hr.png",
    priority = "high",
    line_length = 8,
    width = modelW*2,
    height = modelH*2,
    frame_count = 1,
    direction_count = 64,
    draw_as_glow = (inputs.drawAsGlow or false),
    shift = util.by_pixel(0, -20),
    scale = 0.5,
  }
}
end

export.headAnimation = make_anim{filename="head"}
export.glowAnimation = make_anim{filename="glow", drawAsGlow=true}

return export